> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister Paiements



## OpenAPI

````yaml openapi.json get /paiements/
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /paiements/:
    get:
      tags:
        - Paiements
        - Paiements
      summary: Lister Paiements
      operationId: lister_paiements_paiements__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PaiementRead'
                type: array
                title: Response Lister Paiements Paiements  Get
components:
  schemas:
    PaiementRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        client_id:
          type: string
          format: uuid
          title: Client Id
        livraison_id:
          type: string
          format: uuid
          title: Livraison Id
        montant:
          type: number
          title: Montant
        methode_paiement:
          $ref: '#/components/schemas/MethodePaiement'
        statut_paiement:
          $ref: '#/components/schemas/StatutPaiement-Output'
        recu_par:
          $ref: '#/components/schemas/RecuPar'
        date_paiement:
          type: string
          format: date-time
          title: Date Paiement
      type: object
      required:
        - id
        - client_id
        - livraison_id
        - montant
        - methode_paiement
        - statut_paiement
        - recu_par
        - date_paiement
      title: PaiementRead
    MethodePaiement:
      type: string
      enum:
        - mixx
        - flooz
        - presentiel
      title: MethodePaiement
    StatutPaiement-Output:
      type: string
      enum:
        - en_attente
        - remis_livreur
        - paye
        - echoue
        - rembourse
      title: StatutPaiement
    RecuPar:
      type: string
      enum:
        - marchand
        - livreur
      title: RecuPar

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.